summaryrefslogtreecommitdiffstats
path: root/tests/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/build.sh')
-rwxr-xr-xtests/build.sh56
1 files changed, 56 insertions, 0 deletions
diff --git a/tests/build.sh b/tests/build.sh
new file mode 100755
index 0000000..760d9be
--- /dev/null
+++ b/tests/build.sh
@@ -0,0 +1,56 @@
+# Test for package building
+#
+# Copyright (C) 2023 Patrick McDermott
+#
+# This file is part of opkg-opk.
+#
+# opkg-opk is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkg-opk is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkg-opk. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+
+plan_ 2
+
+mkdir -p "${TOP_BUILDDIR}/tests/"
+
+# FIXME: Specify specials override file
+SOURCE_DATE_EPOCH=1685592000 command_ok_ 'package building' -- \
+ "${TOP_BUILDDIR}/opkg-opk" \
+ -b \
+ -c "${TOP_SRCDIR}/tests/pkg/control/" \
+ -d "${TOP_SRCDIR}/tests/pkg/data/" \
+ "${TOP_BUILDDIR}/tests/pkg.opk"
+
+# FIXME: /dev/null should be a char device
+cmd_is 'package info' \
+ "${TOP_BUILDDIR}/opkg-opk" \
+ -f control \
+ -L \
+ "${TOP_BUILDDIR}/tests/pkg.opk" \
+ 0<<-EOF
+ Package: foo
+ Source: foo
+ Version: 1.0
+
+ drwxr-xr-x pj/pj 0 2023-06-01 00:00:00 /
+ drwxr-xr-x pj/pj 0 2023-06-01 00:00:00 /bin/
+ lrwxrwxrwx pj/pj 0 2023-06-01 00:00:00 /bin/false -> true
+ -rwxr-xr-x pj/pj 84 2023-06-01 00:00:00 /bin/true
+ drwxr-xr-x pj/pj 0 2023-06-01 00:00:00 /dev/
+ -rw-r--r-- pj/pj 0 2023-06-01 00:00:00 /dev/null
+ EOF
+
+: